.m-dropdown {
  .m-dropdown__toggle {
    font-size: 20px;
    color: #444F78;
    display: block;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
  }

  .m-dropdown__wrapper {
    width: 100vw;
    left: 0;
  }

  a {

    &.active,
    &:hover {
      color: #BB1130
    }
  }
}

.noti-total {
  position: absolute;
  top: -6px;
  right: -10px;
  background: #BB1130;
  border-radius: 4px;
  font-weight: 600;
  font-size: 9px;
  line-height: 15px;
  text-align: center;
  color: #FFFFFF;
  padding: 0 5px;
}

.noti-header {
  border-radius: 4px 4px 0 0;
  background: linear-gradient(90deg, #B82E45 0%, #7D438E 100%);
  padding: 10px 20px;
  font-weight: 500;
  font-size: 20px;
  line-height: 30px;
  color: #FFFFFF;

  .noti-number {
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
  }
}

.noti-tabs {
  background: #F8F8FB;

  .noti-tab {
    flex: 1;
    border-bottom: 1px solid #EBEDF2;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    color: #444F78;
    padding: 14px;
    cursor: pointer;
    text-align: center;

    &.active {
      color: #B82E45;
      border-bottom: 2px solid #B82E45;
    }

    .noti-label {
      margin-left: 6px;
      background: #BB1130;
      border-radius: 4px;
      font-weight: 600;
      font-size: 12px;
      line-height: 18px;
      color: #FFFFFF;
      padding: 0 6px;
    }
  }
}

.noti-content {
  display: none;

  &.active {
    display: block;
  }

  .noti-scroll-content {
    max-height: calc(100vh - 199px);
    overflow-x: hidden;
    overflow-y: auto;

    &.noti-fixed-height {
      max-height: calc(100vh - 158px);
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 40px 0;
    }

    .noti-item {
      padding: 10px 20px;
      border-bottom: 1px solid #EBEDF2;
      display: block;
      color: #444F78;

      &:last-of-type {
        border: 0
      }

      &.unread {
        background: #F5F8FB;
      }

      .noti-text {
        font-size: 14px;
        line-height: 21px;
      }

      .noti-time {
        font-size: 14px;
        line-height: 21px;
        color: #838CAB;
        margin-top: 4px;
      }
    }
  }
}

.noti-more {
  padding: 10px 0;
  border-top: 1px solid #EBEDF2;

  a {
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
  }
}

@media(min-width: 540px) {
  .m-dropdown {
    .m-dropdown__wrapper {
      width: 420px;
      left: inherit;
      padding-top: 10px;
    }
  }

  .noti-content {
    .noti-scroll-content {
      max-height: 308px;

      &.noti-fixed-height {
        height: auto;
      }
    }
  }
}

@media (min-width: 1440px) {
  .noti-content {
    .noti-scroll-content {
      max-height: 484px;
    }
  }
}